Eclipse Platform Release 3.7

## org.eclipse.ui
Interface IWorkbenchWindowPulldownDelegate

All Superinterfaces:
  IActionDelegate, IWorkbenchWindowActionDelegate

All Known Subinterfaces:
  IWorkbenchWindowPulldownDelegate2

All Known Implementing Classes:
  AbstractLaunchHistoryAction, AbstractLaunchToolbarAction, LaunchAsAction, LaunchShortcutsAction

    public interface IWorkbenchWindowPulldownDelegate

extends IWorkbenchWindowActionDelegate

Interface for a pulldown action that is contributed into the workbench window tool bar. It extends `IWorkbenchWindowActionDelegate` and adds an initialization method to define the menu creator for the action.

Method Summary
`Menu` `getMenu(Control parent)` Returns the menu for this pull down action.

Methods inherited from interface org.eclipse.ui.IWorkbenchWindowActionDelegate
`dispose, init`

Methods inherited from interface org.eclipse.ui.IActionDelegate
`run, selectionChanged`

Method Detail

### getMenu

    Menu getMenu(Control parent)

  Returns the menu for this pull down action. This method will only be called if the user opens the pull down menu for the action. Note that it is the responsibility of the implementor to properly dispose of any SWT menus created by this method.

  Returns:
    the menu

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.